/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_ADMINDIVISIONLOG') 
 CREATE TABLE T_BD_ADMINDIVISIONLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FADMINDIVISIONID BIGINT DEFAULT 0 NOT NULL,
FPRESETLOGID BIGINT DEFAULT 0 NOT NULL,
FUPDATEMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FAREACODE VARCHAR(36) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPARENTNAME NVARCHAR(512) DEFAULT ' ' NOT NULL,
FADMINLVNAME NVARCHAR(128) DEFAULT ' ' NOT NULL,
FFULLSPELL NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSIMPLESPELL NVARCHAR(512) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512) DEFAULT ' ' NOT NULL,
FCITYNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_PRESET_LOG') 
 CREATE TABLE T_BD_PRESET_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FUPDATER BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BOS_table.sql **/
